//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
//  
using System;
using System.Windows.Forms;
using System.Drawing;
using System.Diagnostics;

namespace ValidatingData
{
	/// <summary>
	/// Podsumowanie dla DataGridImageColumn.
	/// </summary>
	public class DataGridImageColumn : DataGridColumnStyle
	{
		public DataGridImageColumn()
		{
			Debug.WriteLine(string.Format("DataGridImageColumn()"));
		}
		protected override void Abort(int row)
		{
			Debug.WriteLine(string.Format("Przerwij({0})", row));
		}
		protected override bool Commit(CurrencyManager dataSource, int row)
		{
			Debug.WriteLine(string.Format("Wykonaj({0})", row));
			return true;
		}
		protected override void Edit(CurrencyManager source, int row, Rectangle bounds, bool readOnly, string instantText, bool isVisible)
		{
			Debug.WriteLine(string.Format("Edytuj({0})", row));
		}
		protected override int GetMinimumHeight()
		{
			int minimumHeight = 0;
			Debug.WriteLine(string.Format("GetMinimumHeight() returning {0}", minimumHeight));
			return minimumHeight;
		}
		protected override int GetPreferredHeight(Graphics g, object value)
		{
			int minimumHeight = 0;
			Debug.WriteLine(string.Format("GetPreferredHeight() returning {0}", minimumHeight));
			return minimumHeight;
		}
		protected override Size GetPreferredSize(Graphics g, object value)
		{
			Size size = new Size(512, 512);
			Debug.WriteLine(string.Format("GetPreferredSize() returning {0}X{1}", size.Width, size.Height));
			return size;
		}
		protected override void Paint(Graphics g, Rectangle bounds, CurrencyManager source, int row)
		{
			Debug.WriteLine(string.Format("Rysuj({0})}", row));
		}
		protected override void Paint(Graphics g, Rectangle bounds, CurrencyManager source, int row, bool alignRight)
		{
			Debug.WriteLine(string.Format("Rysuj({0})}", row));
		}
	}
}
